Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Auswahlsatz !!

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Auswahlsatz !! (936 mal gelesen)
GG-GREGOR
Mitglied
CAD - KONSTR.


Sehen Sie sich das Profil von GG-GREGOR an!   Senden Sie eine Private Message an GG-GREGOR  Schreiben Sie einen Gästebucheintrag für GG-GREGOR

Beiträge: 79
Registriert: 04.09.2002

SW.
ACAD 2010
ACAD Map 3D 2006
Solid Works 2010
Cinema 4D
Max 3D<P>HW.
mix

erstellt am: 08. Apr. 2010 09:07    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Leute,

habe wieder mal ein Problem.
(while (setq aws-l (car(entsel)));objekt auslesen
(setq wert-Layer (cdr(assoc 8 (entget aws-l)))) ;Layer herausfiltern
(setq wert-obj (cdr(assoc 0 (entget aws-l)))) ;Objekt herausfiltern
(setvar "clayer" wert-Layer);layer setzten
(setq aws (ssget "x" (list (cons 8 wert-Layer)(cons 0 wert-obj))));filtern der Objekte
(command "_erase" aws "");löschnen der Objekte
);end of While
Möchte gerne das ich „aws“ für andere Befehle hernehmen kann.
z.B. (command  aws) ;sollte der Auswahlsatz markiert sein nur wie ?

Kennt einer einen Befehl ?

mfg
Gregor

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joern bosse
Ehrenmitglied
Dipl.-Ing. Vermessung


Sehen Sie sich das Profil von joern bosse an!   Senden Sie eine Private Message an joern bosse  Schreiben Sie einen Gästebucheintrag für joern bosse

Beiträge: 1661
Registriert: 11.10.2004

Window 8.1
ACAD 2012-2020
CIVIL 2012 - 2020
BricsCAD V14-V20
Intel(R) Core(TM)i5-8250U CPU @ 1.60GHz 1.80 GHz
16.0GB RAM
NVIDIA GeForce GTX 1050

erstellt am: 08. Apr. 2010 09:16    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für GG-GREGOR 10 Unities + Antwort hilfreich

Hallo Gregor,
ganz blick ich da noch nicht durch, meinst Du so etwas???

(setq AWS(ssget))
->Objekte als Auswahlsatz in Variable AWS speichern.

(command "_.pselect" AWS "")
->dann werden die Objekte im Auswahlsatz markiert.

Noch ein kleiner Tip: wenn das Eigenschaftenfenster in der aktuellen Zeichnung noch nicht geöffnet worden ist funzt es nicht. Daher kann man mit folgendem vorweg Abhilfe schaffen:

(if (=(getvar "OPMSTATE") 0)
(progn
  (command "_.properties")
  (command "_.propertiesclose")))


------------------
viele Grüße

Jörn
http://www.bosse-engineering.com

[Diese Nachricht wurde von joern bosse am 08. Apr. 2010 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP


Ex-Mitglied

erstellt am: 08. Apr. 2010 09:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat

Hi,

>> (command "_.pselect" AWS "")
>> ->dann werden die Objekte im Auswahlsatz markiert.
>> ...wenn das Eigenschaftenfenster ...

Für diesen Fall (markieren der Elemente mit Grips) hilft auch (ohne Eigenschaftsfenster):
(sssetfirst aws aws)

- alfred -

------------------
www.hollaus.at

CADchup
Ehrenmitglied V.I.P. h.c.




Sehen Sie sich das Profil von CADchup an!   Senden Sie eine Private Message an CADchup  Schreiben Sie einen Gästebucheintrag für CADchup

Beiträge: 3307
Registriert: 14.03.2001

Sicher ist, dass nichts sicher ist. Selbst das nicht.
Joachim Ringelnatz

erstellt am: 08. Apr. 2010 09:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für GG-GREGOR 10 Unities + Antwort hilfreich

Hi,

und wie ist es mit sssetfirst?

(sssetfirst nil aws)


Gruß
CADchup

------------------
CADmaro.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

GG-GREGOR
Mitglied
CAD - KONSTR.


Sehen Sie sich das Profil von GG-GREGOR an!   Senden Sie eine Private Message an GG-GREGOR  Schreiben Sie einen Gästebucheintrag für GG-GREGOR

Beiträge: 79
Registriert: 04.09.2002

SW.
ACAD 2010
ACAD Map 3D 2006
Solid Works 2010
Cinema 4D
Max 3D<P>HW.
mix

erstellt am: 08. Apr. 2010 10:08    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

super !!!
(sssetfirst nil aws)ist genau das was ich gesucht habe!

Danke!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz